查看项目列表 (V2)
List all projects scoped to API-Key.
GET/v2/projects
该 API 的 Base URL 格式如下:
https://api.cloud.zilliz.com.cn
📘说明
控制面接口速率限制为单用户单接口每秒最多 20 个请求。
export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired
认证令牌,应为具备适当权限的 API 密钥。
示例值:Bearer {{TOKEN}}
Acceptstringheader
使用 application/json。
示例值:application/json
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/projects" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 - application/json
codenumber
响应码。
dataarray
响应负载,是一个项目详情列表。
[]dataobject
项目详情列表。
projectIdstring
项目 ID。
regionIdsarray
项目的地域 ID 列表。
[]regionIdsstring
地域 ID。您可以使用 查看云服务地域 来获取可用地域 ID。
projectNamestring
项目名称。
instanceCountstring
项目中集群数量。
createTimestring
项目创建时间。
planstring
当前项目的订阅计划。当前仅支持 Enterprise 一种。
orgTypestring
组织类型。可选值为 SAAS 或 BYOC。
失败响应。
codeinteger
响应码。
messagestring
错误描述。
{
"code": 0,
"data": [
{
"projectName": "Default Project",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxxx",
"regionIds": [
"ali-cn-hangzhou"
],
"instanceCount": 2,
"createTime": "2023-08-16T07:34:06Z",
"plan": "Enterprise",
"orgType": "SAAS"
}
]
}